## rust-sha1collisiondetection 0.2.5

=== Makefile ===
##
## Copyright 2017 Marc Stevens <marc@marc-stevens.nl>, Dan Shumow (danshu@microsoft.com)
## Distributed under the MIT Software License.
## See accompanying file LICENSE.txt or copy at
## https://opensource.org/licenses/MIT
##

# dynamic library compatibility
# 1. If the library source code has changed at all since the last update,
#    then increment revision (‘c:r:a’ becomes ‘c:r+1:a’).
# 2. If any interfaces have been added, removed, or changed since the last update,
#    increment current, and set revision to 0.
# 3. If any interfaces have been added since the last public release, then increment age.
# 4. If any interfaces have been removed or changed since the last public release,
#    then set age to 0.
LIBCOMPAT=1:0:0

PREFIX ?= /usr/local
BINDIR=$(PREFIX)/bin
LIBDIR=$(PREFIX)/lib
INCLUDEDIR=$(PREFIX)/include/sha1dc

CC ?= gcc
LD ?= gcc
CC_DEP ?= $(CC)

ifeq ($(shell uname),Darwin)
LIBTOOL ?= glibtool
INSTALL ?= install
else
LIBTOOL ?= libtool
INSTALL ?= install
endif


CFLAGS=-O2 -Wall -Werror -Wextra -pedantic -std=c90 -Ilib
LDFLAGS=

LT_CC:=$(LIBTOOL) --tag=CC --mode=compile $(CC)
LT_CC_DEP:=$(CC)
LT_LD:=$(LIBTOOL) --tag=CC --mode=link $(CC)
LT_INSTALL:=$(LIBTOOL) --tag=CC --mode=install $(INSTALL)

MKDIR=mkdir -p

ifneq (, $(shell which $(LIBTOOL) 2>/dev/null ))
CC:=$(LT_CC)
CC_DEP:=$(LT_CC_DEP)
LD:=$(LT_LD)
LDLIB:=$(LT_LD)
LIB_EXT:=la
else
LIB_EXT:=a
LD:=$(CC)
LT_INSTALL:=$(INSTALL)
endif

CFLAGS+=$(TARGETCFLAGS)
LDFLAGS+=$(TARGETLDFLAGS)


LIB_DIR=lib
LIB_DEP_DIR=dep_lib
LIB_OBJ_DIR=obj_lib
SRC_DIR=src
SRC_DEP_DIR=dep_src
SRC_OBJ_DIR=obj_src

H_DEP:=$(shell find . -type f -name "*.h")
FS_LIB=$(wildcard $(LIB_DIR)/*.c)
FS_SRC=$(wildcard $(SRC_DIR)/*.c)
FS_OBJ_LIB=$(FS_LIB:$(LIB_DIR)/%.c=$(LIB_OBJ_DIR)/%.lo)
FS_OBJ_SRC=$(FS_SRC:$(SRC_DIR)/%.c=$(SRC_OBJ_DIR)/%.lo)
FS_OBJ=$(FS_OBJ_SRC) $(FS_OBJ_LIB)
FS_DEP_LIB=$(FS_LIB:$(LIB_DIR)/%.c=$(LIB_DEP_DIR)/%.d)
FS_DEP_SRC=$(FS_SRC:$(SRC_DIR)/%.c=$(SRC_DEP_DIR)/%.d)
FS_DEP=$(FS_DEP_SRC) $(FS_DEP_LIB)

.SUFFIXES: .c .d

.PHONY: all
all: library tools

.PHONY: install
install: all
	$(LT_INSTALL) -d $(LIBDIR) $(BINDIR) $(INCLUDEDIR)
	$(LT_INSTALL) bin/libsha1detectcoll.$(LIB_EXT) $(LIBDIR)/libsha1detectcoll.$(LIB_EXT)
	$(LT_INSTALL) lib/sha1.h $(INCLUDEDIR)/sha1.h
	$(LT_INSTALL) bin/sha1dcsum $(BINDIR)/sha1dcsum
	$(LT_INSTALL) bin/sha1dcsum_partialcoll $(BINDIR)/sha1dcsum_partialcoll

.PHONY: uninstall
uninstall:
	-$(RM) $(BINDIR)/sha1dcsum
	-$(RM) $(BINDIR)/sha1dcsum_partialcoll
	-$(RM) $(INCLUDEDIR)/sha1.h
	-$(RM) $(LIBDIR)/libsha1detectcoll.$(LIB_EXT)

.PHONY: clean
clean:
	-find . -type f -name '*.a' -print -delete
	-find . -type f -name '*.d' -print -delete
	-find . -type f -name '*.o' -print -delete
	-find . -type f -name '*.la' -print -delete
	-find . -type f -name '*.lo' -print -delete
	-find . -type f -name '*.so' -print -delete
	-find . -type d -name '.libs' -print | xargs rm -rv
	-rm -rf bin

.PHONY: test
test: tools
	test e98a60b463a6868a6ce351ab0166c0af0c8c4721 != `bin/sha1dcsum test/sha1_reducedsha_coll.bin | cut -d' ' -f1` || (echo "\nError: Compiled for incorrect endianness" && false)
	test a56374e1cf4c3746499bc7c0acb39498ad2ee185 = `bin/sha1dcsum test/sha1_reducedsha_coll.bin | cut -d' ' -f1`
	test 16e96b70000dd1e7c85b8368ee197754400e58ec = `bin/sha1dcsum test/shattered-1.pdf | cut -d' ' -f1`
	test e1761773e6a35916d99f891b77663e6405313587 = `bin/sha1dcsum test/shattered-2.pdf | cut -d' ' -f1`
	test dd39885a2a5d8f59030b451e00cb45da9f9d3828 = `bin/sha1dcsum_partialcoll test/sha1_reducedsha_coll.bin | cut -d' ' -f1` 
	test d3a1d09969c3b57113fd17b23e01dd3de74a99bb = `bin/sha1dcsum_partialcoll test/shattered-1.pdf | cut -d' ' -f1`
	test 92246b0b718f4c704d37bb025717cbc66babf102 = `bin/sha1dcsum_partialcoll test/shattered-2.pdf | cut -d' ' -f1`
	bin/sha1dcsum test/*
	bin/sha1dcsum_partialcoll test/*
	
.PHONY: check
check: test

.PHONY: tools
tools: sha1dcsum sha1dcsum_partialcoll

.PHONY: sha1dcsum
sha1dcsum: bin/sha1dcsum

.PHONY: sha1dcsum_partialcoll
sha1dcsum_partialcoll: bin/sha1dcsum_partialcoll


.PHONY: library
library: bin/libsha1detectcoll.$(LIB_EXT)

bin/libsha1detectcoll.la: $(FS_OBJ_LIB)
	$(MKDIR) $(shell dirname $@) && $(LDLIB) $(LDFLAGS) $(FS_OBJ_LIB) -rpath $(LIBDIR) -version-info $(LIBCOMPAT) -o bin/libsha1detectcoll.la
	
bin/libsha1detectcoll.a: $(FS_OBJ_LIB)
	$(MKDIR) $(shell dirname $@) && $(AR) cru bin/libsha1detectcoll.a $(FS_OBJ_LIB)

bin/sha1dcsum: $(FS_OBJ_SRC) bin/libsha1detectcoll.$(LIB_EXT)
	$(LD) $(LDFLAGS) $(FS_OBJ_SRC) -Lbin -lsha1detectcoll -o bin/sha1dcsum

bin/sha1dcsum_partialcoll: $(FS_OBJ_SRC) bin/libsha1detectcoll.$(LIB_EXT)
	$(LD) $(LDFLAGS) $(FS_OBJ_SRC) -Lbin -lsha1detectcoll -o bin/sha1dcsum_partialcoll


$(SRC_DEP_DIR)/%.d: $(SRC_DIR)/%.c
	$(MKDIR) $(shell dirname $@) && $(CC_DEP) $(CFLAGS) -M -MF $@ $<

$(SRC_OBJ_DIR)/%.lo ${SRC_OBJ_DIR}/%.o: ${SRC_DIR}/%.c ${SRC_DEP_DIR}/%.d $(H_DEP)
	$(MKDIR) $(shell dirname $@) && $(CC) $(CFLAGS) -o $@ -c $<


$(LIB_DEP_DIR)/%.d: $(LIB_DIR)/%.c
	$(MKDIR) $(shell dirname $@) && $(CC_DEP) $(CFLAGS) -M -MF $@ $<

$(LIB_OBJ_DIR)/%.lo $(LIB_OBJ_DIR)/%.o: $(LIB_DIR)/%.c $(LIB_DEP_DIR)/%.d $(H_DEP)
	$(MKDIR) $(shell dirname $@) && $(CC) $(CFLAGS) -o $@ -c $<

-include $(FS_DEP)

## rust-sha1collisiondetection 0.2.3

=== debian/changelog ===
rust-sha1collisiondetection (0.2.3-1) unstable; urgency=medium

  * Package sha1collisiondetection 0.2.3 from crates.io using debcargo 2.4.3
  * Closes: #977421

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 15 Dec 2020 12:27:39 -0500

rust-sha1collisiondetection (0.2.2-2) unstable; urgency=medium

  * Package sha1collisiondetection 0.2.2 from crates.io using debcargo 2.4.3
  * No-op source-only re-upload for Debian Testing Migration.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 14 Dec 2020 22:25:34 -0500

rust-sha1collisiondetection (0.2.2-1) unstable; urgency=medium

  * Package sha1collisiondetection 0.2.2 from crates.io using debcargo 2.4.3

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 11 Dec 2020 17:54:35 -0500

=== debian/control ===
Source: rust-sha1collisiondetection
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-generic-array-0.14+default-dev | librust-generic-array-0.13+default-dev | librust-generic-array-0.12+default-dev,
 librust-libc-0.2+default-dev,
 librust-structopt-0.3+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sha1collisiondetection]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sha1collisiondetection

Package: librust-sha1collisiondetection-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-generic-array-0.14+default-dev | librust-generic-array-0.13+default-dev | librust-generic-array-0.12+default-dev,
 librust-libc-0.2+default-dev,
 librust-structopt-0.3+default-dev
Provides:
 librust-sha1collisiondetection+default-dev (= ${binary:Version}),
 librust-sha1collisiondetection+std-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0+default-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0+std-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.2-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.2+default-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.2+std-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.2.3-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.2.3+default-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.2.3+std-dev (= ${binary:Version})
Description: SHA-1 hash function with collision detection and mitigation - Rust source code
 This package contains the source for the Rust sha1collisiondetection crate,
 packaged by debcargo for use with cargo and dh-cargo.

Package: sha1cdsum
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: SHA-1 hash function with collision detection and mitigation
 This package contains the following binaries built from the Rust crate
 "sha1collisiondetection":
  - sha1cdsum

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.2.3 --all-targets --all-features
Features: test-name=@
Depends: dh-cargo (>= 18), librust-getrandom-0.1+default-dev, librust-hex-literal-0.3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.2.3 --all-targets --no-default-features
Features: test-name=librust-sha1collisiondetection-dev
Depends: dh-cargo (>= 18), librust-getrandom-0.1+default-dev, librust-hex-literal-0.3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/sha1collisiondetection-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/sha1collisiondetection .*/crates/sha1collisiondetection/@ANY_VERSION@/download

## rust-sha1collisiondetection 0.2.5

=== debian/changelog ===
rust-sha1collisiondetection (0.2.5-2) unstable; urgency=medium

  * Package sha1collisiondetection 0.2.5 from crates.io using debcargo 2.5.0
  * Update summary and description of sha1cdsum binary package
  * Move to unstable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 05 Feb 2022 20:30:22 -0500

rust-sha1collisiondetection (0.2.5-1) experimental; urgency=medium

  * Package sha1collisiondetection 0.2.5 from crates.io using debcargo 2.5.0

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 28 Jan 2022 15:43:53 -0500

=== debian/control ===
Source: rust-sha1collisiondetection
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-generic-array-0.14+default-dev | librust-generic-array-0.13+default-dev | librust-generic-array-0.12+default-dev,
 librust-structopt-0.3+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sha1collisiondetection]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sha1collisiondetection
Rules-Requires-Root: no

Package: librust-sha1collisiondetection-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-generic-array-0.14+default-dev | librust-generic-array-0.13+default-dev | librust-generic-array-0.12+default-dev,
 librust-structopt-0.3+default-dev
Provides:
 librust-sha1collisiondetection+default-dev (= ${binary:Version}),
 librust-sha1collisiondetection+std-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0+default-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0+std-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.2-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.2+default-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.2+std-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.2.5-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.2.5+default-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.2.5+std-dev (= ${binary:Version})
Description: SHA-1 hash function with collision detection and mitigation - Rust source code
 This package contains the source for the Rust sha1collisiondetection crate,
 packaged by debcargo for use with cargo and dh-cargo.

Package: sha1cdsum
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Calculate SHA1 checksums with collision detection
 Print or check SHA1 checksums while defending against well-known
 collision attacks.
 .
 This program offers a drop-in replacement for coreutils' sha1sum
 in most cases, but one that is not vulnerable to a specific,
 well-known cryptographic weakness in SHA1.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.2.5 --all-targets --all-features
Features: test-name=rust-sha1collisiondetection:@
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.2.5 --all-targets 
Features: test-name=librust-sha1collisiondetection-dev:default
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.2.5 --all-targets --no-default-features --features std
Features: test-name=librust-sha1collisiondetection-dev:std
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.2.5 --all-targets --no-default-features
Features: test-name=librust-sha1collisiondetection-dev:
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

## rust-sha1collisiondetection 0.2.6

=== debian/changelog ===
rust-sha1collisiondetection (0.2.6-1) unstable; urgency=medium

  * Package sha1collisiondetection 0.2.6 from crates.io using debcargo 2.5.0

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 19 Oct 2022 12:10:01 -0400

=== debian/control ===
--- 
+++ 
@@ -32,9 +32,9 @@
  librust-sha1collisiondetection-0.2-dev (= ${binary:Version}),
  librust-sha1collisiondetection-0.2+default-dev (= ${binary:Version}),
  librust-sha1collisiondetection-0.2+std-dev (= ${binary:Version}),
- librust-sha1collisiondetection-0.2.5-dev (= ${binary:Version}),
- librust-sha1collisiondetection-0.2.5+default-dev (= ${binary:Version}),
- librust-sha1collisiondetection-0.2.5+std-dev (= ${binary:Version})
+ librust-sha1collisiondetection-0.2.6-dev (= ${binary:Version}),
+ librust-sha1collisiondetection-0.2.6+default-dev (= ${binary:Version}),
+ librust-sha1collisiondetection-0.2.6+std-dev (= ${binary:Version})
 Description: SHA-1 hash function with collision detection and mitigation - Rust source code
  This package contains the source for the Rust sha1collisiondetection crate,
  packaged by debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.2.6 --all-targets --all-features
Features: test-name=rust-sha1collisiondetection:@
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.2.6 --all-targets 
Features: test-name=librust-sha1collisiondetection-dev:default
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.2.6 --all-targets --no-default-features --features std
Features: test-name=librust-sha1collisiondetection-dev:std
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.2.6 --all-targets --no-default-features
Features: test-name=librust-sha1collisiondetection-dev:
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

## rust-sha1collisiondetection 0.3.2

=== debian/changelog ===
rust-sha1collisiondetection (0.3.2-1) unstable; urgency=medium

  * Team upload.
  * Package sha1collisiondetection 0.3.2 from crates.io using debcargo 2.6.0

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Sun, 19 Nov 2023 14:31:39 +0100

rust-sha1collisiondetection (0.2.7-1) unstable; urgency=medium

  * Team upload.
  * Package sha1collisiondetection 0.2.7 from crates.io using debcargo 2.6.0
    + New upstream fixes unaligned access error.
  * Bump dev-dependency on hex-literal.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 10 Oct 2023 00:25:31 +0000

=== debian/control ===
Source: rust-sha1collisiondetection
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-digest-0.10+default-dev,
 librust-digest-0.10+std-dev,
 librust-generic-array-0.14+default-dev | librust-generic-array-0.13+default-dev | librust-generic-array-0.12+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/sha1collisiondetection]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/sha1collisiondetection
X-Cargo-Crate: sha1collisiondetection
Rules-Requires-Root: no

Package: librust-sha1collisiondetection-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-clap-4+derive-dev,
 librust-clap-4+help-dev,
 librust-clap-4+std-dev,
 librust-clap-4+wrap-help-dev,
 librust-clap-mangen-0.2-dev,
 librust-const-oid-0.9-dev,
 librust-digest-0.10+default-dev,
 librust-digest-0.10+std-dev,
 librust-generic-array-0.14+default-dev | librust-generic-array-0.13+default-dev | librust-generic-array-0.12+default-dev
Provides:
 librust-sha1collisiondetection+clap-dev (= ${binary:Version}),
 librust-sha1collisiondetection+clap-mangen-dev (= ${binary:Version}),
 librust-sha1collisiondetection+const-oid-dev (= ${binary:Version}),
 librust-sha1collisiondetection+default-dev (= ${binary:Version}),
 librust-sha1collisiondetection+digest-dev (= ${binary:Version}),
 librust-sha1collisiondetection+digest-trait-dev (= ${binary:Version}),
 librust-sha1collisiondetection+oid-dev (= ${binary:Version}),
 librust-sha1collisiondetection+std-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0+clap-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0+clap-mangen-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0+const-oid-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0+default-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0+digest-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0+digest-trait-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0+oid-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0+std-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3+clap-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3+clap-mangen-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3+const-oid-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3+default-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3+digest-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3+digest-trait-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3+oid-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3+std-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3.2-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3.2+clap-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3.2+clap-mangen-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3.2+const-oid-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3.2+default-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3.2+digest-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3.2+digest-trait-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3.2+oid-dev (= ${binary:Version}),
 librust-sha1collisiondetection-0.3.2+std-dev (= ${binary:Version})
Description: SHA-1 hash function with collision detection and mitigation - Rust source code
 This package contains the source for the Rust sha1collisiondetection crate,
 packaged by debcargo for use with cargo and dh-cargo.

Package: sha1cdsum
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Calculate SHA1 checksums with collision detection
 Print or check SHA1 checksums while defending against well-known
 collision attacks.
 .
 This program offers a drop-in replacement for coreutils' sha1sum
 in most cases, but one that is not vulnerable to a specific,
 well-known cryptographic weakness in SHA1.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.3.2 --all-targets --all-features
Features: test-name=rust-sha1collisiondetection:@
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.4+default-dev, librust-sha1-0.10+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.3.2 --all-targets --no-default-features --features clap
Features: test-name=librust-sha1collisiondetection-dev:clap
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.4+default-dev, librust-sha1-0.10+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.3.2 --all-targets --no-default-features --features clap_mangen
Features: test-name=librust-sha1collisiondetection-dev:clap_mangen
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.4+default-dev, librust-sha1-0.10+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.3.2 --all-targets --no-default-features --features const-oid
Features: test-name=librust-sha1collisiondetection-dev:const-oid
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.4+default-dev, librust-sha1-0.10+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.3.2 --all-targets
Features: test-name=librust-sha1collisiondetection-dev:default
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.4+default-dev, librust-sha1-0.10+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.3.2 --all-targets --no-default-features --features digest
Features: test-name=librust-sha1collisiondetection-dev:digest
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.4+default-dev, librust-sha1-0.10+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.3.2 --all-targets --no-default-features --features digest-trait
Features: test-name=librust-sha1collisiondetection-dev:digest-trait
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.4+default-dev, librust-sha1-0.10+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test sha1collisiondetection 0.3.2 --all-targets --no-default-features --features oid
Features: test-name=librust-sha1collisiondetection-dev:oid
Depends: dh-cargo (>= 18), librust-getrandom-0.2+default-dev, librust-hex-literal-0.4+default-dev, librust-sha1-0.10+default-dev, @
Restrictions: allow-stderr, skip-not-installable
